﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace TwoColumnIntoOne
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        private DataTable CreateCategories()
        {
            DataTable categories = new DataTable("Categories");

            categories.Columns.Add("CategoryID", typeof(int));
            categories.Columns["CategoryID"].Unique = true;
            categories.Columns["CategoryID"].AutoIncrement = true;
            categories.Columns["CategoryID"].AutoIncrementStep = 1;
            categories.PrimaryKey = new DataColumn[] { categories.Columns["CategoryID"] };

            categories.Columns.Add("CategoryName", typeof(string));
            categories.Columns.Add("QuantityInStock", typeof(int));
            categories.Columns.Add("DateOfDeliver", typeof(DateTime));

            DateTime dt1 = new DateTime(2009 , 02 , 06);
            DateTime dt2 = new DateTime(2009 , 02 , 10);
            DateTime dt3 = new DateTime(2009 , 01 , 03);
            DateTime dt4 = new DateTime(2009 , 02 , 25);
            DateTime dt5 = new DateTime(2009 , 06 , 9);
            DateTime dt6 = new DateTime(2009 , 05 , 10);
            DateTime dt7 = new DateTime(2009 , 09 , 08);
            DateTime dt8 = new DateTime(2009 , 10 , 07);
            categories.Rows.Add(new object[] { 1, "Beverages", 10 ,dt1});
            categories.Rows.Add(new object[] { 2, "Condiments", 20, dt2});
            categories.Rows.Add(new object[] { 3, "Confections", 3,dt3  });
            categories.Rows.Add(new object[] { 4, "Dairy Products", 8,dt4  });
            categories.Rows.Add(new object[] { 5, "Grains/Cereals", 7, dt5 });
            categories.Rows.Add(new object[] { 6, "Meat/Poultry", 52, dt6});
            categories.Rows.Add(new object[] { 7, "Produce", 9, dt7 });
            categories.Rows.Add(new object[] { 8, "Seafood", 1, dt8 });

            categories.AcceptChanges();
            return categories;
        }
        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = CreateCategories();
            ultraGrid1.DataSource = dt;
            ultraGrid1.DisplayLayout.Bands[0].Columns.Add("Items in stock");
            ultraGrid1.DisplayLayout.Bands[0].Columns[4].Width = 300;
            foreach (UltraGridRow  row in ultraGrid1.Rows )
            {
                row.Cells[4].Value = string.Format("{0} = {1},     Delivered: {2}", row.Cells[1].Value.ToString(), row.Cells[2].Value.ToString(),
                     ((DateTime )row.Cells[3].Value).ToShortDateString());    
            }
            this.ultraGrid1.DisplayLayout.Bands[0].Columns[0].Hidden = true;
            this.ultraGrid1.DisplayLayout.Bands[0].Columns[1].Hidden = true;
            this.ultraGrid1.DisplayLayout.Bands[0].Columns[2].Hidden = true;
            this.ultraGrid1.DisplayLayout.Bands[0].Columns[3].Hidden = true;
        }
    }
}
